MODBUS_GET_RESPONSE_(3)

NAME
modbus_get_response_timeout - get timeout for response

SYNOPSIS

int modbus_get_response_timeout(modbus_t *ctx, uint32_t *to_sec, uint32_t *to_usec);

DESCRIPTION

The modbus_get_response_timeout() function shall return the timeout interval used to wait for a response in the to_sec and to_usec arguments.

RETURN VALUE

The function shall return 0 if successful. Otherwise it shall return -1 and set errno.

EXAMPLE

    uint32_t old_response_to_sec;
    uint32_t old_response_to_usec;

    /* Save original timeout */
    modbus_get_response_timeout(ctx, &old_response_to_sec, &old_response_to_usec);

    /* Define a new and too short timeout! */
    modbus_set_response_timeout(ctx, 0, 0);

SEE ALSO

modbus_set_response_timeout(3) modbus_get_byte_timeout(3) modbus_set_byte_timeout(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com>